*{
    box-sizing: border-box;
}



div{
    padding: 10px;
    background: #a9a7a7;
}

.container{
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
}


.w-25{

    width: 25%;
}

.w-30{

    width: 30%;
}

.w-50{

    width: 50%;
}

[class*="w-"]{
    float: left;
    margin-bottom: 5px;
    background: transparent;
}


.clearfix::after{
    content: '';
    clear: both;
    display: block;

}
 @media(max-width: 1200px) {
.w-25{
    background: red;
    width: 50%;
}
     .w-50{
         background: green;
         width: 100%;
     }
 }
@media(max-width: 600px){
    .w-25{
        background: red;
        width:100%;
    }
    .w-30{
        background:yellow;
        width: 50%;
    }
    .w-50{
        background: green;
        width: 100%;
    }
}
